Package de.geolykt.starloader

# Class Starloader

java.lang.Object
de.geolykt.starloader.Starloader

public final class Starloader extends Object

## Method Summary

Modifier and Type
Method
Description
`static @NotNull File`
`getExtensionDir()`
Deprecated.
`static ExtensionManager`
`getExtensionManager()`
`static Starloader`
`getInstance()`
`@NotNull Path`
`getModDirectory()`
`static void`
`start(@NotNull DirectoryExtensionPrototypeList modSource)`
`static void`
`start(@NotNull List<@NotNull ExtensionPrototype> extensionSource, @NotNull Path modDir)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### start

@Internal public static void start(@NotNull @NotNull List<@NotNull ExtensionPrototype> extensionSource, @NotNull @NotNull Path modDir)

### start

@Internal public static void start(@NotNull @NotNull DirectoryExtensionPrototypeList modSource)

### getExtensionManager

public static ExtensionManager getExtensionManager()

### getExtensionDir

@NotNull @Deprecated public static @NotNull File getExtensionDir()
Deprecated.

### getModDirectory

@NotNull public @NotNull Path getModDirectory()

### getInstance

public static Starloader getInstance()